Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Expression.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Database;
8
15 interface Expression
16 {
36 public function lOr();
37
57 public function lAnd();
58
74 public function not($expression);
75
96 public function add();
97
118 public function sub();
119
140 public function mul();
141
162 public function div();
163
179 public function eq($value1, $value2);
180
196 public function neq($value1, $value2);
197
213 public function gt($value1, $value2);
214
231 public function gte($value1, $value2);
232
248 public function lt($value1, $value2);
249
266 public function lte($value1, $value2);
267
299 public function in($column);
300
315 public function isNull($expression);
316
340 public function between($expression, $value1, $value2);
341
352 public function like($expression, $pattern);
353
361 public function avg($column);
362
373 public function count($column);
374
382 public function max($column);
383
391 public function min($column);
392
400 public function sum($column);
401
409 public function length($column);
410
419 public function round($column, $decimals);
420
430 public function mod($expression1, $expression2);
431
438 public function now();
439
440 // string functions
441
453 public function subString($value, $from, $len = null);
454
463 public function concat();
464
473 public function position($substr, $value);
474
482 public function lower($value);
483
491 public function upper($value);
492
501 public function bitAnd($value1, $value2);
502
511 public function bitOr($value1, $value2);
512
537 public function searchedCase();
538 }
eZ\Publish\Core\Persistence\Database\Expression
Interface for generation of all the expressions for database abstractions.
Definition: Expression.php:16
eZ\Publish\Core\Persistence\Database\Expression\min
min($column)
Returns the lowest value of a column.
eZ\Publish\Core\Persistence\Database\Expression\count
count($column)
Returns the number of rows (without a NULL value) of a column.
eZ\Publish\Core\Persistence\Database\Expression\round
round($column, $decimals)
Rounds a numeric field to the number of decimals specified.
eZ\Publish\Core\Persistence\Database\Expression\lower
lower($value)
Returns the SQL to change all characters to lowercase.
eZ\Publish\Core\Persistence\Database\Expression\mod
mod($expression1, $expression2)
Returns the remainder of the division operation $expression1 / $expression2.
eZ\Publish\Core\Persistence\Database\Expression\searchedCase
searchedCase()
Returns a searched CASE statement.
eZ\Publish\Core\Persistence\Database\Expression\sum
sum($column)
Returns the total sum of a column.
eZ\Publish\Core\Persistence\Database\Expression\lte
lte($value1, $value2)
Returns the SQL to check if one value is less than or equal to another value.
eZ\Publish\Core\Persistence\Database\Expression\gt
gt($value1, $value2)
Returns the SQL to check if one value is greater than another value.
eZ\Publish\Core\Persistence\Database\Expression\sub
sub()
Returns the SQL to subtract values or expressions from eachother.
eZ\Publish\Core\Persistence\Database\Expression\add
add()
Returns the SQL to add values or expressions together.
eZ\Publish\Core\Persistence\Database\Expression\lOr
lOr()
Returns the SQL to bind logical expressions together using a logical or.
eZ\Publish\Core\Persistence\Database\Expression\subString
subString($value, $from, $len=null)
Returns part of a string.
eZ\Publish\Core\Persistence\Database\Expression\neq
neq($value1, $value2)
Returns the SQL to check if two values are unequal.
eZ\Publish\Core\Persistence\Database\Expression\between
between($expression, $value1, $value2)
Returns SQL that checks if an expression evaluates to a value between two values.
eZ\Publish\Core\Persistence\Database\Expression\in
in($column)
Returns the SQL to check if a value is one in a set of given values.
eZ\Publish\Core\Persistence\Database\Expression\lt
lt($value1, $value2)
Returns the SQL to check if one value is less than another value.
eZ\Publish\Core\Persistence\Database\Expression\length
length($column)
Returns the length of text field $column.
eZ\Publish\Core\Persistence\Database\Expression\lAnd
lAnd()
Returns the SQL to bind logical expressions together using a logical and.
eZ\Publish\Core\Persistence\Database\Expression\now
now()
Returns the current system date and time in the database internal format.
eZ\Publish\Core\Persistence\Database\Expression\isNull
isNull($expression)
Returns SQL that checks if a expression is null.
eZ\Publish\Core\Persistence\Database\Expression\eq
eq($value1, $value2)
Returns the SQL to check if two values are equal.
eZ\Publish\Core\Persistence\Database\Expression\gte
gte($value1, $value2)
Returns the SQL to check if one value is greater than or equal to another value.
eZ\Publish\Core\Persistence\Database\Expression\not
not($expression)
Returns the SQL for a logical not, negating the $expression.
eZ\Publish\Core\Persistence\Database\Expression\concat
concat()
Returns a series of strings concatinated.
eZ\Publish\Core\Persistence\Database\Expression\position
position($substr, $value)
Returns the SQL to locate the position of the first occurrence of a substring.
eZ\Publish\Core\Persistence\Database\Expression\max
max($column)
Returns the highest value of a column.
eZ\Publish\Core\Persistence\Database\Expression\bitAnd
bitAnd($value1, $value2)
Returns the SQL that performs the bitwise AND on two values.
eZ\Publish\Core\Persistence\Database\Expression\bitOr
bitOr($value1, $value2)
Returns the SQL that performs the bitwise OR on two values.
eZ\Publish\Core\Persistence\Database\Expression\upper
upper($value)
Returns the SQL to change all characters to uppercase.
eZ\Publish\Core\Persistence\Database\Expression\mul
mul()
Returns the SQL to multiply values or expressions by eachother.
eZ\Publish\Core\Persistence\Database\Expression\div
div()
Returns the SQL to divide values or expressions by eachother.
eZ\Publish\Core\Persistence\Database\Expression\like
like($expression, $pattern)
Match a partial string in a column.
eZ\Publish\Core\Persistence\Database\Expression\avg
avg($column)
Returns the average value of a column.
eZ\Publish\Core\Persistence\Database
Definition: DatabaseHandler.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.